package com.casic.dcms.model;

public class LampBoxDetailBean {

    private int code;
    private DataModel data;
    private String message;
    private boolean success;

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public DataModel getData() {
        return data;
    }

    public void setData(DataModel data) {
        this.data = data;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public boolean isSuccess() {
        return success;
    }

    public void setSuccess(boolean success) {
        this.success = success;
    }

    public static class DataModel {
        private String activePowerA;
        private String activePowerB;
        private String activePowerC;
        private String address;
        private String areaId;
        private String areaName;
        private String deptId;
        private String deptName;
        private String elecA;
        private String elecB;
        private String elecC;
        private String elecN;
        private String lampboxCode;
        private String lampboxId;
        private String lampboxName;
        private double latitude;
        private double longitude;
        private String powerA;
        private String powerB;
        private String powerC;
        private String reactivePowerA;
        private String reactivePowerB;
        private String reactivePowerC;
        private String streetId;
        private String streetName;
        private String upTime;
        private String volA;
        private String volB;
        private String volC;

        public String getActivePowerA() {
            return activePowerA;
        }

        public void setActivePowerA(String activePowerA) {
            this.activePowerA = activePowerA;
        }

        public String getActivePowerB() {
            return activePowerB;
        }

        public void setActivePowerB(String activePowerB) {
            this.activePowerB = activePowerB;
        }

        public String getActivePowerC() {
            return activePowerC;
        }

        public void setActivePowerC(String activePowerC) {
            this.activePowerC = activePowerC;
        }

        public String getAddress() {
            return address;
        }

        public void setAddress(String address) {
            this.address = address;
        }

        public String getAreaId() {
            return areaId;
        }

        public void setAreaId(String areaId) {
            this.areaId = areaId;
        }

        public String getAreaName() {
            return areaName;
        }

        public void setAreaName(String areaName) {
            this.areaName = areaName;
        }

        public String getDeptId() {
            return deptId;
        }

        public void setDeptId(String deptId) {
            this.deptId = deptId;
        }

        public String getDeptName() {
            return deptName;
        }

        public void setDeptName(String deptName) {
            this.deptName = deptName;
        }

        public String getElecA() {
            return elecA;
        }

        public void setElecA(String elecA) {
            this.elecA = elecA;
        }

        public String getElecB() {
            return elecB;
        }

        public void setElecB(String elecB) {
            this.elecB = elecB;
        }

        public String getElecC() {
            return elecC;
        }

        public void setElecC(String elecC) {
            this.elecC = elecC;
        }

        public String getElecN() {
            return elecN;
        }

        public void setElecN(String elecN) {
            this.elecN = elecN;
        }

        public String getLampboxCode() {
            return lampboxCode;
        }

        public void setLampboxCode(String lampboxCode) {
            this.lampboxCode = lampboxCode;
        }

        public String getLampboxId() {
            return lampboxId;
        }

        public void setLampboxId(String lampboxId) {
            this.lampboxId = lampboxId;
        }

        public String getLampboxName() {
            return lampboxName;
        }

        public void setLampboxName(String lampboxName) {
            this.lampboxName = lampboxName;
        }

        public double getLatitude() {
            return latitude;
        }

        public void setLatitude(double latitude) {
            this.latitude = latitude;
        }

        public double getLongitude() {
            return longitude;
        }

        public void setLongitude(double longitude) {
            this.longitude = longitude;
        }

        public String getPowerA() {
            return powerA;
        }

        public void setPowerA(String powerA) {
            this.powerA = powerA;
        }

        public String getPowerB() {
            return powerB;
        }

        public void setPowerB(String powerB) {
            this.powerB = powerB;
        }

        public String getPowerC() {
            return powerC;
        }

        public void setPowerC(String powerC) {
            this.powerC = powerC;
        }

        public String getReactivePowerA() {
            return reactivePowerA;
        }

        public void setReactivePowerA(String reactivePowerA) {
            this.reactivePowerA = reactivePowerA;
        }

        public String getReactivePowerB() {
            return reactivePowerB;
        }

        public void setReactivePowerB(String reactivePowerB) {
            this.reactivePowerB = reactivePowerB;
        }

        public String getReactivePowerC() {
            return reactivePowerC;
        }

        public void setReactivePowerC(String reactivePowerC) {
            this.reactivePowerC = reactivePowerC;
        }

        public String getStreetId() {
            return streetId;
        }

        public void setStreetId(String streetId) {
            this.streetId = streetId;
        }

        public String getStreetName() {
            return streetName;
        }

        public void setStreetName(String streetName) {
            this.streetName = streetName;
        }

        public String getUpTime() {
            return upTime;
        }

        public void setUpTime(String upTime) {
            this.upTime = upTime;
        }

        public String getVolA() {
            return volA;
        }

        public void setVolA(String volA) {
            this.volA = volA;
        }

        public String getVolB() {
            return volB;
        }

        public void setVolB(String volB) {
            this.volB = volB;
        }

        public String getVolC() {
            return volC;
        }

        public void setVolC(String volC) {
            this.volC = volC;
        }
    }
}
